/****************************************************************************
**
** DCOP Stub Implementation created by dcopidl2cpp from basketdcopiface.kidl
**
** WARNING! All changes made in this file will be lost!
**
*****************************************************************************/

#include "basketdcopiface_stub.h"
#include <dcopclient.h>

#include <kdatastream.h>


BasketDcopInterface_stub::BasketDcopInterface_stub( const TQCString& app, const TQCString& obj )
  : DCOPStub( app, obj )
{
}

BasketDcopInterface_stub::BasketDcopInterface_stub( DCOPClient* client, const TQCString& app, const TQCString& obj )
  : DCOPStub( client, app, obj )
{
}

BasketDcopInterface_stub::BasketDcopInterface_stub( const DCOPRef& ref )
  : DCOPStub( ref )
{
}

void BasketDcopInterface_stub::newBasket()
{
    if ( !dcopClient()  ) {
	setStatus( CallFailed );
	return;
    }
    TQByteArray data;
    dcopClient()->send( app(), obj(), "newBasket()", data );
    setStatus( CallSucceeded );
}

void BasketDcopInterface_stub::handleCommandLine()
{
    if ( !dcopClient()  ) {
	setStatus( CallFailed );
	return;
    }
    TQByteArray data, replyData;
    TQCString replyType;
    if ( dcopClient()->call( app(), obj(), "handleCommandLine()", data, replyType, replyData ) ) {
	setStatus( CallSucceeded );
    } else { 
	callFailed();
    }
}


